Ada cerita konyol pagi ini, pas sedang mencari solusi mengenai instalasi paket yang tidak bisa diupgrade saya lupa ini menggunakan distro Linux apa dan versi berapa. 😛 Walaupun solusi di internet tampaknya bisa langsung diterapkan tapi akan lebih baik kalau distro dan versinya juga cocok atau mirip lah. Biar tidak tambah parah kondisinya misal ada apa – apa.

Tentu saja namanya Linux ada banyak caranya dan alternatifnya. Yang pertama bisa anda coba jalankan perintah ini:

cat /etc/*release

Nanti akan muncul balasan:

PRETTY_NAME="Debian GNU/Linux 7 (wheezy)"
NAME="Debian GNU/Linux"
VERSION_ID="7"
VERSION="7 (wheezy)"
ID=debian
ANSI_COLOR="1;31"
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support/"
BUG_REPORT_URL="http://bugs.debian.org/"

Alternatifnya adalah eksekusi perintah berikut:

lsb_release -a

Akan muncul informasi berikut:

No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 7.9 (wheezy)
Release:	7.9
Codename:	wheezy

Dan ternyata VPS tersebut menggunakan Debian 7 Wheezy. Saya paling hapal perintah yang kedua, tapi kadang tidak tersedia pada beberapa distro karena tidak mengikuti Linux Standard Base.

Semoga bermanfaat. 🙂